%define devhelp_bookdir %_datadir/devhelp/books

%def_disable static
%define api_version 2.4
%define realname gtkmm
%define realname2 gtkmm-%api_version

%define major 2.12

Name: libgtkmm2
Version: %major.7
Release: alt1

Summary: A C++ interface for GTK2 (a GUI library for X)
Summary(ru_RU.KOI8-R):   C++  GTK2 (GUI-  X)

License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%realname/%major/%realname-%version.tar.bz2

Provides: %realname = %version

# manually removed: fonts-ttf-ms 
# Automatically added by buildreq on Sun Jan 13 2008
BuildRequires: docbook-dtds docbook-style-xsl doxygen gcc-c++ graphviz libcairomm-devel libglibmm-devel libgtk+2-devel xsltproc

BuildRequires: libatk-devel >= 1.9
#Requires: libglibmm >= 2.11.3
#Requires: libcairomm >= 1.1.12

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%description -l ru_RU.KOI8-R
Gtkmm   C++   
  GTK+. gtkmm2   GTK+ 2.
     ,
,      
 ,    
    .

%package devel
Summary: Headers for developing programs that will use %name
Summary(ru_RU.KOI8-R):     ,  %name.
Group: Development/C++
Requires: %name = %version-%release, libgtk+2-devel, glib2-devel, libsigc++2.0-devel, libglibmm-devel
Provides: %realname-devel = %version

%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%description devel -l ru_RU.KOI8-R
       ,
      gtkmm.

%package doc
Summary: Documentation for developing with %name
Summary(ru_RU.KOI8-R):     %name.
Group: Development/C++

%description doc
This package contains the documentation for
developing gtkmm applications.

%description doc -l ru_RU.KOI8-R
        gtkmm.

%package examples
Summary: Examples for developing programs that will use %name
Summary(ru_RU.KOI8-R):      %name
Group: Development/C++
Requires: %name-devel = %version-%release
Provides: %realname-examples = %version

%description examples
The %name-devel package contains source code of example programs for %name.

%description examples -l ru_RU.KOI8-R
 %name-devel       %name.

%package demos
Summary: Demos for developing programs that will use %name
Summary(ru_RU.KOI8-R):     %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description demos
The %name-devel package contains source code of demo programs for %name.

%prep
%setup -q -n %realname-%version
#%patch

# ..    libs    Makefile.in    ţ LIBADD
%__subst 's|libgtkmm_2_4_la_LIBADD = $(win32_dlls_extra_libs) $(GTKMM_LIBS)|libgtkmm_2_4_la_LIBADD = $(win32_dlls_extra_libs) $(GTKMM_LIBS) $(sublib_win32_dlls_libs)|g' gtk/gtkmm/Makefile.in
# fix doc dir
%__subst "s|doc/gtkmm-2.4/docs|doc/%name-doc-%version|g" docs/reference/doxygen_to_devhelp.xsl

%build
%configure \
	--disable-maintainer-mode \
	%{subst_enable static} \
	--enable-shared \
	--enable-docs

%make doc-clean
%make_build

%install
%makeinstall_std gtkmm_docdir=%_docdir/%name-doc-%version
#rm -rf %buildroot%_docdir/%name-doc-%version

# demos install
%define demosdir %buildroot/%_docdir/%name-doc-%version/demos
cd demos
mkdir -p %demosdir/pixbuf
cp -rf README *.png *.cc %demosdir/pixbuf
install -D .libs/pixbuf-demo %buildroot/%_bindir/pixbuf-demo
cd gtk-demo
mkdir -p %demosdir/gtk
cp -rf *.cc *.h *.png *.gif %demosdir/gtk
cd ../..
#mv %buildroot/%_bindir/demo %buildroot/%_bindir/demo-gtkmm2
ln -s %_bindir/gtkmm-demo %demosdir/gtk
ln -s %_bindir/pixbuf-demo %demosdir/pixbuf

# Relocate examples
%define exampledir %_docdir/%name-doc-%version/examples
mkdir -p %buildroot%exampledir
cp -a examples/* %buildroot%exampledir
pushd %buildroot%exampledir
	find -type d \( -name .libs -o -name .deps \) -print0 |
		xargs -r0 rm -rf
	find -type f -print0 |xargs -r0 file |
		egrep '(relocatable|executable|shell script)' |
		cut -d: -f1 |xargs -r rm -fv
	cat <<EOF >examples.conf
CXXCOMPILE = g++ -c -o \$@ \`pkg-config --cflags %realname2\` $RPM_OPT_FLAGS
CXXLINK = g++ -o \$@ \`pkg-config --libs %realname2\` $RPM_OPT_FLAGS
CXXBUILD = g++ \$< -o \$@ \`pkg-config --cflags --libs %realname2\` $RPM_OPT_FLAGS
EOF
	find -type f -name Makefile |xargs %__subst \
		's|^(CONFIG_HEADER\s*=\s*).*|$1|g;
		s|^(DEFS\s*=\s*).*|$1|g;
		s|^(INCLUDES\s*=\s*).*|$1`pkg-config --cflags %realname2`|g;
		s|^(LDADD\s*=\s*).*|$1`pkg-config --libs %realname2`|g;
		s|^(top_[a-z]*dir\s*=\s*).*|$1%exampledir|g;
		s|\.\./\.\./src|%_includedir|g;
		s|../../(g[dt]k--config.h)|%_libdir/%realname2/include/$1|g;
		s|\.\./\.\./gdk--/gdk--|%_includedir/gdk--|g;
		s|\.\./\.\.|%_includedir|g;
		s|\$\(top_builddir\)/[^.]*/libg[dt]kmm.la||g;
		s/\$\(LIBTOOL\) --mode=(compile|link) //g'
popd
cp -p config.status %buildroot%exampledir

# move devhelp file to correct place so devhelp can see it
##mv %buildroot%_datadir/devhelp/books/%realname2/gtkmm-%api_version.devhelp %buildroot%_docdir/gtkmm-%api_version/docs/
##install -d -m 0755 %buildroot%_datadir/gtk-doc/html
# can depend on spec-helper to convert this to correct relative link
##ln -s %_docdir/%name-doc-%version/docs %buildroot%_datadir/gtk-doc/html/gtkmm2

##mkdir -p %buildroot%_docdir/%name-doc-%version
##mv -f %buildroot%_docdir/%realname2/docs/* %buildroot%_docdir/%name-doc-%version
#mv -f %buildroot%_libdir/%realname2/examples %buildroot%_docdir/%name-doc-%version
#rm -rf %buildroot%_docdir/%realname2
cp -f docs/FAQ/html/index.html FAQ.html
rm -rf %buildroot%_docdir/%name-doc-%version/FAQ/

%post
%post_ldconfig

%postun
%postun_ldconfig
%files
%doc AUTHORS ChangeLog NEWS FAQ.html README
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_pkgconfigdir/*.pc
%_includedir/atkmm-1.6/
%_includedir/gtkmm-2.4/
%_includedir/gdkmm-2.4/
%_includedir/pangomm-1.4/
%_libdir/%realname2/
%_libdir/gdkmm-%api_version/

%files doc
%devhelp_bookdir/%realname2/
%dir %_docdir/%name-doc-%version/
%_docdir/%name-doc-%version/index.html
%_docdir/%name-doc-%version/images/
%_docdir/%name-doc-%version/reference/
%_docdir/%name-doc-%version/tutorial/

%files examples
%_docdir/%name-doc-%version/examples/
%_docdir/%name-doc-%version/tests/

%files demos
%_bindir/gtkmm-demo
%_bindir/pixbuf-demo
%_docdir/%name-doc-%version/demos/

%changelog
* Mon Apr 14 2008 Vitaly Lipatov <lav@altlinux.ru> 2.12.7-alt1
- new version 2.12.7 (with rpmrb script)

* Sat Mar 08 2008 Vitaly Lipatov <lav@altlinux.ru> 2.12.5-alt1
- new version 2.12.5 (with rpmrb script)
- fix devhelp doc dir

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 2.12.3-alt1
- new version 2.12.3 (with rpmrb script)
- cleanup spec, update requires

* Thu May 10 2007 Igor Zubkov <icesik@altlinux.org> 2.10.10-alt1
- 2.10.9 -> 2.10.10

* Sat Apr 28 2007 Vitaly Lipatov <lav@altlinux.ru> 2.10.9-alt1
- new version 2.10.9 (with rpmrb script)

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.10.6-alt0.1
- new version 2.10.6 (with rpmrb script)
- fix packager

* Sun Nov 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.10.3-alt0.1
- new version 2.10.3 (with rpmrb script)

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 2.10.1-alt0.1
- new version 2.10.1 (with rpmrb script)

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.8.3-alt0.1
- new version 2.8.3 (with rpmrb script)
- update buildreq

* Mon Oct 24 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.1-alt0.1
- new version
- fix unexpanded macros in descriptions

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version

* Thu Jan 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.5-alt1
- new version
- build with gcc3.4

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.2-alt1
- new version from unstable
- add demos package

* Sat Nov 27 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.7-alt2
- fix library dependences

* Tue Nov 09 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.7-alt1
- new version
- add in -devel requiring libglibmm2-devel package (thanks pv@)

* Sat Sep 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.5-alt1
- new version

* Thu Jul 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.4-alt1
- new version
- add req for gtk+2 >2.4

* Sat Jun 19 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt2
- fix require libsigc++
- change doc placing for devhelp

* Wed Jun 09 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt1
- new version

* Mon May 24 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1
- new version

* Sun Feb 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.2.8-alt2
- move examples to doc dir
- update buildreq
- Patch0: Make libtool 1.5 always search for staging libraries first
  during relinking (thanks Mandrake)

* Wed Dec 31 2003 Vitaly Lipatov <lav@altlinux.ru> 2.2.8-alt1
- new version
- remove duplicates from doc package
- build with gcc3.3

* Sat Dec 13 2003 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt2
- rebuild without .la files

* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt1
- new version

* Mon Nov 25 2002 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1.1
- fix error in copying FAQ.html from doc
- summary and description were translated into russian
- cleanup spec
- add pkgconfig directory to the files section

* Mon Nov 25 2002 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- new version for gtk+2
- new subpacket doc

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1:1.2.10-alt1.1
- rebuild with new XFree86

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.10-alt1
- 1.2.10
- Bumped soname for g++ >= 3.2
- Updated %%post/%%postun scripts.

* Wed Apr 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9-alt1
- 1.2.9

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.8-alt2
- Corrected requires for devel subpackage.

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.8-alt1
- 1.2.8

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.7-alt1
- 1.2.7
- Libification.

* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.5-ipl2mdk
- Rebuilt with gtk+-1.2.10.

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.5-ipl1mdk
- 1.2.5

* Sun Nov 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.4-ipl1mdk
- 1.2.4
- Split into three packages: %name, %name-devel and %name-examples.
- Fixed Makefiles in %name-exmaples to allow build after installation.

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.3-ipl1mdk
- 1.2.3
- Patched to build with glibc-2.1.94 & gcc-2.96.
- Automatically added build requires.

* Sun Apr 16 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

